#include "extcode.h"
#pragma pack(push)
#pragma pack(1)

#ifdef __cplusplus
extern "C" {
#endif

/*!
 * CreateDevice
 */
void __cdecl CreateDevice(char IpAddress[], LStrHandle *ErrorMessage, 
	LVRefNum *DeviceObjectOut);
/*!
 * GetListOfActivePropertyName
 */
void __cdecl GetListOfActivePropertyName(LVRefNum *DeviceObjectIn, 
	LVRefNum *ListOfActivePropertyNames);
/*!
 * Read
 */
void __cdecl Read(LVRefNum *DeviceObjectIn, 
	LVRefNum *ListOfActivePropertyNames, char PropertyName[], char Value[], 
	int32_t len);
/*!
 * Write
 */
void __cdecl Write(LVRefNum *DeviceObject, 
	LVRefNum *ListOfActivePropertyNames, char PropertyName[], char Value[], 
	LStrHandle *ErrorMessage);
/*!
 * UpdateData
 */
void __cdecl UpdateData(LVRefNum *DeviceObject, 
	LVRefNum *ListOfStatusMessage);
/*!
 * StartProgram
 */
void __cdecl StartProgram(LVRefNum *DeviceObjectIn, char LocalPathName[], 
	LVRefNum *ListOfStatusMessage);
/*!
 * StopProgram
 */
void __cdecl StopProgram(LVRefNum *DeviceObjectIn, 
	LVRefNum *ListOfStatusMessage);
/*!
 * StartProgramOnDevice
 */
void __cdecl StartProgramOnDevice(LVRefNum *DeviceObjectIn, 
	char ProgramName[], LVRefNum *ListOfStatusMessage);
/*!
 * SynchronizeTime
 */
void __cdecl SynchronizeTime(LVRefNum *DeviceObjectIn, 
	LVRefNum *ListOfStatusMessage);
/*!
 * DownloadProgramList
 */
void __cdecl DownloadProgramList(LVRefNum *DeviceObjectIn, 
	LStrHandle *String);
/*!
 * UploadProgram
 */
void __cdecl UploadProgram(LVRefNum *DeviceObjectIn, char LocalPathName[], 
	LVRefNum *StatusMessage);
/*!
 * RemoteState
 */
int32_t __cdecl RemoteState(LVRefNum *DeviceObjectIn);
/*!
 * GetListOfActivePropertyNamesAsString
 */
void __cdecl GetListOfActivePropertyNamesAsString(LVRefNum *DeviceObjectIn, 
	LStrHandle *String);
/*!
 * ReadAllProperties
 */
void __cdecl ReadAllProperties(LVRefNum *DeviceObjectIn, 
	LVRefNum *ListOfActivePropertyNames, LStrHandle *Value);
/*!
 * DeactivateProgram
 */
void __cdecl DeactivateProgram(LVRefNum *DeviceObjectIn, 
	LVRefNum *ListOfStatusMessage);
/*!
 * GetTimeOnDevice
 */
void __cdecl GetTimeOnDevice(LVRefNum *DeviceObjectIn, 
	double *TimeStampInFloat, LVRefNum *ListOfStatusMessage);
/*!
 * StatusMessage
 */
void __cdecl StatusMessage(LVRefNum *StatusMessageObj, LStrHandle *Message);
/*!
 * ListOfStatusMessage
 */
void __cdecl ListOfStatusMessage(LVRefNum *ListOfStatusMessageObj, 
	LStrHandle *Message);

MgErr __cdecl LVDLLStatus(char *errStr, int errStrLen, void *module);

#ifdef __cplusplus
} // extern "C"
#endif

#pragma pack(pop)

